1
  • Ubuntu hosted on Windows 10 using Oracle's VirtualBox 6.x
  • Downloaded latest Anaconda (Anaconda3-2019/10-Linux-x86_64.sh)
  • bash Anaconda3-2019/10-Linux-x86_64.sh hangs when Unpacking
Do you accept the license terms? [yes|no]
[no] >>> yes

Anaconda3 will now be installed into this location:
/home/.../anaconda3

  - Press ENTER to confirm the location
  - Press CTRL-C to abort the installation
  - Or specify a different location below

[/home/.../anaconda3] >>> 
PREFIX=/home/.../anaconda3
Unpacking payload ...
  0%|                                                   | 0/291 [00:00<?, ?it/s]^CProcess ForkProcess-1:
Traceback (most recent call last):
  File "multiprocessing/process.py", line 297, in _bootstrap
  File "multiprocessing/process.py", line 99, in run
  File "concurrent/futures/process.py", line 233, in _process_worker
  File "multiprocessing/queues.py", line 94, in get
  File "multiprocessing/connection.py", line 216, in recv_bytes
  File "multiprocessing/connection.py", line 407, in _recv_bytes
  File "multiprocessing/connection.py", line 379, in _recv
KeyboardInterrupt
Traceback (most recent call last):
  File "entry_point.py", line 71, in <module>
  File "concurrent/futures/process.py", line 483, in _chain_from_iterable_of_lists
  File "concurrent/futures/_base.py", line 598, in result_iterator
  File "concurrent/futures/_base.py", line 430, in result
  File "threading.py", line 296, in wait
KeyboardInterrupt

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "entry_point.py", line 73, in <module>
  File "site-packages/tqdm/_tqdm.py", line 960, in __exit__
  File "site-packages/tqdm/_tqdm.py", line 1147, in close
  File "site-packages/tqdm/_tqdm.py", line 511, in _decr_instances
  File "site-packages/tqdm/_monitor.py", line 53, in exit
  File "threading.py", line 1044, in join
  File "threading.py", line 1060, in _wait_for_tstate_lock
KeyboardInterrupt
[2755] Failed to execute script entry_point

Tried this on both Ubuntu 18.xx and 16.xx VM's. How do even begin debugging this?

1

I had a similar issue, In my case this was related to only having 1 virtual core assigned to the VM.

Try to enable a few more cores and see if that helps

1
  • Thanks a lot. It works also for me. (VM : centos8 in a Oracle VM VirtualBox, OS : windows 10) – Stef1611 Dec 19 '19 at 19:33

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.